Technical Software and Hardware Change Log

Please send bug reports and feedback to support@signalhound.com

- Spike Version 4.0.15 (6/1/2026)
* Released Pulse Analysis mode, available with software license.
  Introduces new Pulse Analysis measurement mode with the following capabilities,
  - Automatically detect and characterize CW, linear chirp, and barker coded pulses.
  - Detailed pulse performance metrics according to the IEEE 181-2025 specification.
  - Deep pulse history of > 50k pulses.
  - Large number of detailed plots
    - Pulse tables
    - Histograms
    - Pulse history
    - Pulse compression
    - Spectrum/Waterfall
    - AM/FM/PM
  - Deinterleaving
    - Automatically detect and classify up to 5 emitters.
  - Pulse Compression
    - Cross and auto correlation plots.

- Spike Version 4.0.14 (5/26/2026)
* WLAN-AH: Added support for traveling pilots.
* Peak table amplitudes will now reflect the reference level unit selected. 
* Bug fix: Invalid sweep points displayed in sweep and real-time mode.
* Bug fix: EMC mode scan all peaks caused a software crash.
* Bug Fix: Fixed signal measurement errors between 410-450MHz when preselector is enabled. (SM200/435 devices)

- Spike Version 4.0.13 (5/4/2026)
* Released Multi-Channel I/Q Analysis mode
  - Supports PCR4200
  - Calibration dialog was added to support quick and easy calibrating out phase and amplitude deltas between channels
  - Multi-Channel time locked markers were added with channel to channel deltas. Markers are also shared between plots for time domain plots.
  - PCR4200 onboard vsg can be controlled as a CW
* Added accessibility settings:
  - Font size that scales UI.
  - Keyboardless entry dialogs for touch screens.
* Improved one-finger scrolling for touch screens.
* Mapping improvements:
  - Added autosave session under Session Settings in control panel.
  - Save All CSV function added to measurement points table file menu.
  - Added pinch zoom and one-finger scrolling to map view.
  - Active/selected meas is maintained when editing configurations.
  - "Include in Report" is now an option for measurement configurations.
  - Including table and map image in report are now both optional.
  - Bug fix: Map scale now applied immediately when session is imported.
  - Bug fix: LTE configurations now disabled for devices that do not support it.
* Disable dotted-line focus rectangles on interface elements.
* WLAN: Added SU long preamble support for WLAN-AH measurements.
* Bug fix: All phase noise markers should now update normally, not just the currently selected marker.
* Bug fix: Control panel in wrong location on certain layouts.
* Bug fix: SigMF metadata file annotation needed to be annotations to be the proper format.
* Bug fix: Some plot configurations could prevent presets from fully loading.

- Spike Version 4.0.12 (3/5/2026)
* The I/Q recorder utility now supports SigMF output file types.
* The default output file type used in Zero Span I/Q recordings has been changed to SigMF.
* Mapping improvements:
  - Zoom in/out buttons have been added to the map view toolbar.
  - Point selection now synchronizes between map and measurements table.
  - Measurements can be deleted from any map view mode or from measurements table.
  - Bug fix: Altitude populates from GPS in mapping mode.
  - Bug fix: Map view selection crashing with no measurements.
* Can now double click on devices to connect in the multiple devices select dialog.
* Translations are now available on Linux.
* Bug fix: Internal GPS updates in GPS control panel, LTE, and mapping mode.
* Bug fix: File dialogs show when called from menus on Linux.

- Spike Version 4.0.11 (1/20/2026)
* Released advanced RF Mapping mode, available with software license.
  - Upgrades RF mapping mode with advanced functionality:
    * Compound measurements
    * Grid testing
    * Advanced heatmapping
    * Report generation
* Added pilot amplitude tracking corrections to WLAN measurements.
* Added data aided equalizer training corrections to WLAN measurements.

- Spike Version 4.0.10 (10/20/2025)
* Official support for the PCR4200.
* For the I/Q Recorder Utility checkboxes were added for including the center frequency and sample rate in the file name.
* Bug fix: Fixed memory leak in SCPI log.
* Bug fix: Intermod distortion panel updates during sweep playback.
* Bug fix: Handle invalid command line arguments.

- Spike Version 4.0.9 (9/10/2025)
* Bug fix: On Linux, erroneous I/Q data loss warnings for the SP145 in the I/Q data recorder.
* Bug fix: On Linux, invalid I/Q bandwidths when decimations > 8 are used with the SP145.

- Spike Version 4.0.8 (8/25/2025)
* Bug fix: SCPI commands in phase noise mode do not throw spurious error.

- Spike Version 4.0.7 (8/21/2025)
* Added ability to change to portable mode for internal GPS on the SM200/SM435 analyzers.
  This will facilitate drive test solutions when using internal GPS while in mapping mode.
  Access this feature in the GPS control panel.

- Spike Version 4.0.6 (7/31/2025)
* Bug fix: Fixed issue with SCPI binary data format I/Q captures in zero-span mode.

- Spike Version 4.0.5 (6/30/2025)
* Phase Noise Improvements
  * Can now set phase noise xcorr factor up to 1000. Allows for an additional 5dB.
    phase noise measurement performance between the 10Hz-1MHz phase noise offsets.
  * Phase noise cross correlations are limited to 6.5million at any offset. If the
    xcorr factor results > 6.5m correlations, processing will stop for that offset
    and continue for other offsets < 6.5m.
  * Added "high resolution" control, which increases the resolution on phase noise offsets
    between 10Hz and 1kHz by 4x. This also reduces the measurement speed by 4x.

- Spike Version 4.0.4 (6/11/2025)
* Added :SYSTem:OVERflow? SCPI command to detect A/D overflows.
* Added spectrum inversion control for WLAN measurements.
* Added manual WLAN AH bandwidth override control.
  For measuring signals with either low/high side mixing.
* Added support for single-device advanced phase noise measurement licensing tier.
* Bug fix: Fixed issue with SCPI commands for setting reference out for the BB60D.
* Bug fix: Fixed I/Q recorder utility scaling issue in plot when actively recording.

- Spike Version 4.0.3 (4/14/2025)
* Fixed potential issue with license activation.

- Spike Version 4.0.2 (3/24/2025)
* Fixed gray coded mapping for FSK modulated signals.

- Spike Version 4.0.1 (2/11/2025)
* Added licensed 802.11ah measurements to the WLAN measurement mode.
* Bug fix: The SYST:COMM:GTL command now properly closes the SCPI remote lockout dialog.
* Bug fix: Fixed sweep recording file size limit regression.

- Spike Version 4.0.0 (11/12/2024)
* Released Advanced Phase Noise Test Tool Kit, available with software license.
  - Upgrades and replaces phase noise measurement mode with advanced functionality:
    * Cross correlation
    * Automatic signal search
    * Peak tracking
    * Amplitude noise measurements
    * Automatic spur rejection
    * Trace smoothing
    * 6 configurable traces
    * 6 configurable markers
    * ~6x faster measurement speed
    * Full SCPI automation
  - Adds new VCO Characterization analysis mode
    * Includes standard measurements:
      - Frequency
      - Sensitivity
      - Power
      - Current
      - Harmonic power
    * Full SCPI automation
* License Manager utility introduced to easily add software licenses.
* Phase noise carrier level now correctly offset for any reference level offset.
* Bug fix: Fixed EVM readout for QPSK digital demodulation.

- Spike Version 3.9.7 (9/3/2024)
* Added support for multi-file sweep recording.
* Added autoscale feature to all waterfall plots.
* Converted FSK, PSK, and QAM modulation to gray coded mapping.
* Added support for APSK.
* Added Save and load feature for APSK configurations.
* Add altitude reading to each GPS measurement in mapping mode.
* Default to internal GPS in the GPS control panel.
* Added ability to change to portable mode for internal GPS on SP145. This will facilitate drive test
  solutions when using internal GPS, the SP145, while in mapping mode. Access this feature in the GPS control panel.
* More resolution on markers in sweep mode.
* Bug fix: I/Q Recorder now derives correction factor from ref level.

- Spike Version 3.9.6 (5/15/2024)
* Added wide carrier estimation to digital demodulation measurements.
  - Perform digital demod on signals with large carrier frequency errors.
  - Includes SCPI command support.

- Spike Version 3.9.5 (5/7/2024)
* Added SCPI support for sweep recording panel.
* Bug fix: Fixed zero-span frequency mask triggering.

- Spike Version 3.9.4 (3/19/2024)
* Mapping mode improvements:
  - Add path loss table support
  - Add reference level offset support
* Bug fix: Fixed issue with BB60 min/max detector for certain sweeps.

- Spike Version 3.9.3 (3/1/2024)
* LTE measurements, added Band 106.

- Spike Version 3.9.2 (1/26/2024)
* Internal build.

- Spike Version 3.9.1 (1/22/2024)
* Improve marker readout when mV scale is selected.
* Bug fix: Resolve issue with ROSC:SOURC SCPI command for BB60D devices.
* Bug fix: Presets now include the BB60D 10MHz reference and auxillary port settings.

- Spike Version 3.9.0 (10/19/2023)
* Official support for the SP145 spectrum analyzer.
* Multiple devices found dialog is now interactive.
* Digital Demodulation mode improvements:
  - Now supports 16-PSK, 8-FSK, and 16-FSK.
  - Now reports error metrics for ASK demodulation.
  - Increased allowable manual IF bandwidths.
* I/Q Recorder improvements:
  - Changed file size entry to MB.
  - Now remembers parameters.
* The main channel power measurement is now reported in the currently selected unit.
  This change affects
    - The readout in the channel power toolbar
    - The SCPI query.
    - Channel power logging
  Adjacent channels are still reported in dBm/dBc.
* Swept Analysis mode improvements:
  - Added "Disable All" markers button.
  - Added right click context menu item "Disable All Markers".
  - Improved visibility of intermod distortion markers.
* Bug fix: Sort indicators are now clearly visible in dark mode.
* Bug fix: Fixed RRC filtering for FSK demodulation.
* Bug fix: Fixed bug where last point of trace is inaccessible to marker on some plots.

- Spike Version 3.8.11 (7/10/2023)
* GPS panel support on Linux.
* Zero-span AM vs Time plot, only export I/Q data for current measurement interval.
  - Also removed "I,Q" header at top of file.
* Improved harmonics results table.
* Preset button now loads default configuration, with power cycling optional, not default.
  - This supersedes Presets > Load Default Settings menu action.
* Bug fix: Fixed issue with noise marker reporting invalid value when using narrow spans.
* Bug fix: Fixed issue with channel power measurements in zero-span.
* Bug fix: Fixed crash in :FETCH:WLAN? SCPI command. Occured when there was not an active valid measurement.

- Spike Version 3.8.10 (4/24/2023)
* Support for new hardware revisions.
* Increased hidden mode support.
* Bug fix: Peak table marker color in dark mode.

- Spike Version 3.8.9 (2/6/2023)
* Improved dwell time calculations for EMC range table setup.
* Increased maximum sweep time for SM200/SM435 EMC sweeps.
  - Should now support a larger number of EMC standards without needing to perform multiple sweeps.
* RBW should no longer change when modifying the window function in sweep mode.
* :FETCh:DDEMod? command can now return the constellation plot/trace.
  See SCPI manual and examples for more information.
* Added "RLO" indicator for when reference level offset is non-zero.
* Bug fix: Fixed issue with audio player, was unable to change from FM demodulation.
* Bug fix: Fixed return values from the :CALCulate:MARKer:MODE? command. Should now match the documentation.
* Bug fix: BB60D 10MHz reference state should not properly be displayed in the status bar.
* Bug fix: Fixed incorrect manual attenuation values shown on sweep plot for SM devices.

- Spike Version 3.8.8 (11/23/2022)
* Bug fix: Location coordinates not returned for LTE measurements when GPS tracking in Mapping mode.
* Bug fix: SCPI lockout dialog visibility cycling regression.

- Spike Version 3.8.7 (11/15/2022)
* Noise Figure mode bug fixes:
  - Invalid measurement annunciator not shown in some circumstances.
  - Can switch in and out of mode without semi-invalidating calibration.
  - Progress dialog appeared prematurely.

- Spike Version 3.8.6 (11/14/2022)
* Added low voltage warning for the BB60 devices.
* Bug fix: Inconsistency in SCPI lockout dialog visibility in hidden mode.

- Spike Version 3.8.5 (11/14/2022)
* Bug fix: Occurred in sweep mode using 3MHz RBW and Nuttall window. Sweep has off by 1 indexing issue.
* Bug fix: Noise figure control panel updates when play alert is set via SCPI.

- Spike Version 3.8.4 (11/14/2022)
* Added symbol offset control for WLAN measurements
  :SENSe:WLAN:SYMBol:OFFSet
* Noise Figure mode improvements:
  - Added SCPI support.
  - Enabled uncalibrated and semi-calibrated measurements.
  - ENR tables can be set independently for calibration and measurement steps.
  - Can abort a measurement in progress.
  - Added optional audio alert when measurement finished.
  - Added IF overload annunciators.
* Increased frequency resolution of markers in sweep, real-time, and network analysis modes.
* Warn when user-specified max disk capacity is reached in I/Q Recorder.
* Added preference to disable initial notification dialogs:
  - No device
  - Multiple devices
* In hidden mode, disable dialogs:
  - No device
  - Multiple devices
  - Connecting
  - SCPI remote operation

- Spike Version 3.8.3 (10/5/2022)
* Improved WLAN SigInfo plot display.
  - Fields have clearer groupings.
  - Shows only fields relevant to active demodulation.
* Bug fix: Prevent application from opening off screen.
* Bug fix: Fixed audio player regression.

- Spike Version 3.8.2 (9/27/2022)
* Limit SA124 IF output lower RF input frequency to 250MHz, up from 125MHz.
* Development tools update.
  * Now using VS2019 and Qt5.15 for Windows builds.

- Spike Version 3.8.1 (9/1/2022)
* Max symbol rate for digital demod increased to 140MHz for 160MHz bandwidth devices.
* SM435 IF Output option updates.

- Spike Version 3.8.0 (8/29/2022)
* Official support for the SM435C spectrum analyzer.
* Zero-span spectrum RBW is now properly updated if limited by maximum FFT size.
* Current GPS position is included in LTE measurement and LTE cell search results table.
  - GPS (internal/external) must be connected.
* Added LTE correlation threshold control.
* Updated LTE MCC/MNC lists.
* SCPI command FETCH:ZS? can now return average power.
* Add combo for loading default constellations in digital demod constellation editor.
* Enabled LTE measurements in mapping mode on Linux.
* Added SCPI commands to retrieve spectrum plot in digital demod mode.
* Added SCPI commands to retrieve GPS position of LTE measurements in LTE mode.
* Added SCPI commands to configure LTE correlation threshold.
* Added SCPI commands to control and configure the audio player.
* Bug fix: Fixed symbol synchronization when using custom constellations in digital demodulation mode.
* Bug fix: Better handling of settings in harmonic measurement mode.
           Don't allow measurements outside the frequency range of the instrument.
* Bug fix: Software could crash with extreme RBW/VBW settings in demo sweep mode.

- Spike Version 3.7.2 (7/7/2022)
* Increased max I/Q streaming BW for SM200C devices to 165MHz in zero-span.
* Fixed issue with I/Q BW rolling off early for some settings with SM200C.
* Added LTE support for Linux.
* Most colors are now centrally configured in Preferences.
* Bug fix: Fixed issue with BB60D measurements between 16-30MHz.

- Spike Version 3.7.1 (6/6/2022)
* Bug fix: Fixed BB60D real-time measurements between 30-40MHz center frequency.

- Spike Version 3.7.0 (6/1/2022)
* Official support for the BB60D spectrum analyzer.
* Added color themes and configurable accent color.
* BB60s can now go down to 10kHz RBW when full span (from 30kHz).
* Bug fix: Using BB60C, spans <= 200kHz on Linux should now work.

- Spike Version 3.6.0 (5/4/2022)
* Official support for the SM435B spectrum analyzer.
* Updated dark theme.
* Added the ability to configure the SM200C network address over USB.
* Added command line option for loading user preset on startup.
* Added command line option for configuring the SCPI port on startup.
* Added GPIO output control utility for SM devices.
* The sweep mode plot is now aligned with the waterfall plot.
* Bugfix: Screenshots now work in LTE mode.
* Bugfix: Zero span, fixed SCPI command for setting sample rate.

- Spike Version 3.5.22 (3/21/2022)
* Added LTE measurement type to Mapping mode.
  - RSSI or RSRP measurements
* Added features to Limit Lines:
  - Increased count to six.
    - Limit lines now have several display options:
    - Show/hide line itself
    - Show/hide pass/fail result
  - Limit lines now have a name property.
  - Limit lines now have a reference property that can be either fixed or relative.
    - Can convert between the two reference modes.
    - SCPI command to convert a limit line between reference modes:
      - :CALCulate:LLINe#:REFerence:TRANsform
  - Limit line data and configuration can now be copied to another limit line.
  - Interpolation can now be set to Linear or Logarithmic.
  - Limit line can now be built from trace.
    - Configurable number of points.
  - Updated SCPI support:
    - :CALCulate:LLINe#:TYPE
    - :CALCulate:LLINe#:TYPE?
    - :CALCulate:LLINe#:REFerence
    - :CALCulate:LLINe#:REFerence?
    - :CALCulate:LLINe#:REFerence:TRANsform
    - :CALCulate:LLINe#:INTerpolate
    - :CALCulate:LLINe#:INTerpolate?
    - :CALCulate:LLINe#:BUILD:POINts
    - :CALCulate:LLINe#:BUILD:POINts?
    - :CALCulate:LLINe#:BUILD
* Added cell channel shading to spectrum plot in LTE mode and Mapping mode.
* Sweep configuration information is now shown on spectrum plot in Mapping mode.
* Added features to Spectrum Emission Mask mode:
  - Offsets now have a priority setting, allowing for suggested limits that generate warnings.
  - Sweep configuration information is now displayed on plot.
* Added SCPI commands
  - DISPlay:HIDE[?]
* Added command line argument to set GUI visibility on launch. (See Spike manual).
* Added command line argument to load preset on launch. (See Spike manual).
* Can now change maximum sweep recording file size on Linux.
* Bugfix: Reference level can now be offset by reference level offset in all measurement modes.
* Bugfix: Fixed channel power overlay in mapping spectrum plot.
* Bugfix: Sweep traces now fully reset during a system preset.
* Bugfix: Eliminated possible NaN results in Noise Figure mode.
* Bugfix: Implemented preset button for the demo device.
* Bugfix: Fixed mislabelled error string in SCPI return for configuration of offsets in Spectrum Emission Mask mode.
* Bugfix: Minimize accidental directional point creation in Mapping mode when adding points with rapid clicks.

- Spike Version 3.5.21 (1/6/2022)
* Added LTE measurement mode. (64-bit Windows only)
* Added SCPI Log utility.
* Added demo mode to run Spike without a device using simulated signals.
  - Compatible with the following analysis modes: Sweep, Zero-Span, Digital Demodulation, Interference Hunting, Spectrum Emission Mask, Harmonics, and Mapping.
* Major update to TG Standalone application.
* SCPI lockout dialog can now be disabled in preferences.
* Automatic recalibration on temperature drift can now be enabled in preferences.

- Spike Version 3.5.20 (10/27/2021)
* Added Mapping measurement mode.
* Added Channel Power plot to Zero Span measurement mode.
* Make multi-plot modes forward compatible with layouts saved by newer versions.
* Bugfix: Audio Player dialog was crashing on some systems where no sound source is available.
* Bugfix: *OPC? was hanging in sweep mode if the device disconnects during the measurement.
* Bugfix: Keep FFTs in region window in Zero-Span Spectrum plot.
* Bugfix: Improve auto-sizing logic in multi-plot areas, especially when dragging plot to edge.
* Bugfix: Marker location is accurate when x-axis is zoomed.
* Bugfix: Fix rounding errors in Zero-Span FFT processing.

- Spike Version 3.5.19 (7/29/2021)
* Bugfix: Corrected remaining issues with unsupported sample rates in IQ recorder affecting SM200B devices.
* Bugfix: Fixed memory leak in IQ recorder.

- Spike Version 3.5.18 (7/22/2021)
* Bugfix: Removed unsupported sample rates from I/Q recorder, causing it to potentially become unresponsive for SM200B devices.

- Spike Version 3.5.17 (7/19/2021)
* Added dedicated long-term I/Q recording utility.
* Added SCPI support for Bluetooth Low Energy measurements.
* Added SCPI support for querying current average trace count in sweep mode.
  - TRACe:AVERage:CURRent?
* Maximum symbol rate available in digital demodulation measurements has been increased for specific devices.
  - Increased to 120MS/s for the SM200B
  - Increased to 35MS/s for the SM200A
* Maximum number of peaks visible in the peak table is now selectable, up to 99.
* Reference level tracks between measurement modes when applicable.
* Improved frequency tracking between measurement modes.
* Added arrows to reference level control in zero-span mode. 10dB steps.
* IF filter bandwidth now selectable for 250MS/s rate in zero-span for the SM200B.
* Moved spectrum view toggle to outer context menu in IQ waterfall plot.
* Added uncal condition for invalid noise figure measurements.
* Improved Help->About dialog for better scaling to high DPI displays.
* Bug fix: Fixed measurement error for sweeps between 300kHz-1MHz with preamplifier enabled. SA devices.

- Spike Version 3.5.16 (5/4/2021)
* WLAN measurements
  - Added 802.11ax 20MHz SU measurements.
    - Demodulate SU 20MHz bandwidth waveforms.
    - Supports MCS 0-11.
  - Will now demodulate (but not decode) LDPC encoded PSDUs.
  - Now tracks timing errors using pilots.
    - Reports sample rate errors.
  - Improved triggering for OFDM modulated signals using a moving average window detector.
  - Auto scaling AM vs time and spectrum plots.
  - Improved warning messages.
* Digital demodulation measurement
  - Increased SM200C maximum symbol rate to 120MS/s
* Added SCPI support for Peak Table in Sweep mode
  - SENSe:PEAK:TABLe:STATe ON|OFF|0|1
  - SENSe:PEAK:TABLe:STATe?
  - SENSe:PEAK:TABLe:TRACe <int>
  - SENSe:PEAK:TABLe:TRACe?
  - SENSe:PEAK:TABLe:PEAK:THReshold <double>
  - SENSe:PEAK:TABLe:PEAK:THReshold?
  - SENSe:PEAK:TABLe:PEAK:EXCursion <double>
  - SENSe:PEAK:TABLe:PEAK:EXCursion?
  - SENSe:PEAK:TABLe:SORT FREQuency|AMPLitude
  - SENSe:PEAK:TABLe:SORT?
  - SENSe:PEAK:TABLe:COUNt?
  - SENSe:PEAK:TABLe:FREQuency? <int>
  - SENSe:PEAK:TABLe:AMPLitude? <int>
  - SENSe:PEAK:TABLe:FREQuency:DELTa? <int>
  - SENSe:PEAK:TABLe:AMPLitude:DELTa? <int>
* SEM Mode
  - Reduced minimum offset to 1 Hz
  - Added an actual meas width label
  - Set minimum meas width to 2 RBWs
* Bug fix: Fixed issue with real-time mode on BB60A.
  - Certain configurations resulted in invalid sweeps and persistence displays.
* Bug fix: Switching from sweep mode to real-time mode with a narrow span (< 200kHz) no longer causes display issues.
* Bug fix: Will not properly show the persistence display using dBuV/dBmV units in sweep mode.
* Bug fix: Fixed sweep bin offset for some configurations when using BB60C-2 hardware.

- Spike Version 3.5.15 (3/25/2021)
* Added Bluetooth(R) Low Energy measurement mode.
  - Perform troubleshooting, monitoring, or precompliance testing for Bluetooth Low Energy transmitters.
  - Automatic detection and demodulation of waveforms.
  - Test against transmitter specifications.
  - Basic PCAP recording of demodulated packets.
* Added automatic reconnect functionality.
  - After a forced disconnect, attemps to reconnect device for user-specified timeout period.
  - Turn on/off in general preferences.
* Added features to EMC Precompliance mode:
  - PDF report generation with persistent metadata in new Report control panel.
  - Button for automatic quasi-peak scan of all spurs, or failing spurs only.
  - Automatically active meter measurement when sending selected spur to meter.
  - Peak left and right markers, with peak threshold and excursion entries.
  - Limit line on meter display.
  - Trace color configurable per range.
  - Uncal annunciators printed in red in sweeps plot.
  - IF overload annunciator repositioned in meter view for improved visibility.
* Added current average trace counter to Traces panel of Sweep mode.
* Added SCPI command to retrieve the current device's connection string:
  - SYSTem:DEVice:CURRent?
* Bug fix: Multi-plot area UI off by one pixel in dark mode.

- Spike Version 3.5.14 (2/23/2021)
* Added new marker functionality to Sweep, Real-Time, and Scalar Network Analysis modes:
  - Channel Power marker (N/A in SNA mode)
  - N dB marker
  - Min Peak button
  - Next Peak button
  - Added SCPI support for all new marker functions.
* Added access to new "ref out" reference setting for BB60C.
  - When enabled, RF signal assumed to be from a device clocked to BB60C reference, so internal correction not applied.
  - Added new OUTPUT state to SCPI reference SENSE:ROSC:SOURCE command.
    - Sets compatible devices to use internal reference with 10 MHz reference out.
* Improved appearance of channel power channels on plots by adding edges to visually delimit channels.
* Date and time are now printed in locale-dependent format in screenshots.
* Added SCPI commands to retrieve device diagnostics
  - SYSTem:TEMPerature?
  - SYSTem:VOLTage?
  - SYSTem:CURRent? (BB and SM series devices only)
* Bug fix: Reference level in zero-span is now properly limited to (20dBm + ReferenceLevelOffset) instead of +20dBm.
* Bug fix: Warnings can no longer be covered up on plots.
* Bug fix: Font sizing is now more consistent in screenshots.
* Bug fix: Changing marker type now immediately triggers a recalculation.

- Spike Version 3.5.13 (1/20/2021)
* Added calibration caching to noise figure mode.
  - Can now make repeated measurements after one calibration.
* Improved screenshot functionality in "Save as Image," "Quick Save Image," and "Print."
  - Can now select in Preferences whether or not to include control panels in image.
  - Now tags each image with date, time, software version, device make and model, serial number, and firmware version.
  - Now centers image vertically on page in landscape orientation.
* Added entry to noise figure mode control panel to enable/disable averaging.
* The harmonic measurement table is now saved alongside the harmonic plot in both the "save as image" and in the print functionality.
* Bug fix: Added sensible limits to all noise figure mode configuration parameters.
* Bug fix: Fixed power reading algorithm in noise figure mode.

- Spike Version 3.5.12 (12/2/2020)
* Added noise figure measurement mode.
* Can now select the target trace for peak table measurements.
* Can now select the frequency scale when exporting sweeps.
  Select the scale in the preferences menu.
* Phase noise trace and marker settings are stored in quick/user presets.
* Phase noise traces and markers are now reset when a system preset occurs.
* Frequency is displayed for phase noise traces in the decade table when the trace type is set to "Reference".
* Increased frequency resolution on phase noise trace export files.
* Add ability to list and connect SM200C devices with the SYSTEM:DEVICE SCPI functions.
* Improved high resolution display issues for the peak table.
* Bug fix: Display issues on limit lines.
* Bug fix: Fixed coloring on intermod distortion controls when using dark theme.
* Bug fix: Fixed pause sweep playback issue on Linux.
* Bug fix: Fixed file path naming issue on Linux.

- Spike Version 3.5.11 (9/21/2020)
* Reverted FM spectrum plot in analog demodulation mode to using Hz on the y-axis.
* Bug fix: When recording I/Q data with triggering active, the software will no longer ignore the first trigger event.
* Bug fix: Limit lines where not being drawn properly in certain configurations.
           This issue appeared in in version 3.5.7 and should now be resolved.
* Bug fix: Fixed channel power measurement when reference level is in mV.
* SM200C sync errors are now reported in Spike with the UDP uncal condition.
* Bug fix: Fixed decimal formatting error in Interference Hunting mode logging.

- Spike Version 3.5.10 (8/19/2020)
* Spike will detect a recently adjusted SA44/SA124/TG44/TG124 device and update the calibration data on disk when opened.

- Spike Version 3.5.9 (8/18/2020)
* Added Intermodulation Distortion panel to sweep mode.
* Bug fix: Peak table y-axis zoom issue.

- Spike Version 3.5.8 (7/24/2020)
* Bug fix: Crash on application resize.

- Spike Version 3.5.7 (7/22/2020)
* Added power on preset functionality.
* Added plot zoom capability to sweep and real-time measurement mode.
  - Ability to drag, scroll, and scale the x and y-axis.
  - Use the context menu to restore zoom or enable mouse zoom region.
* Added trace math to sweep and real-time measurement mode.
  - Added SCPI support for trace math.
* Added max and min detectors to sweep and real-time measurement mode.
  - SCPI: Set through [:SENSe]:SWEep:DETector:UNITs[?] command
* Added trace copy capability to sweep and real-time measurement mode.
  - Copies a selected trace to a different trace.
  - Useful for storing a reference trace.
  - Added SCPI support for trace copy capability.
* Added configurable display line to sweep and real-time measurement mode.
  - Added SCPI support for setting display line.
* Added occupied bandwidth "To Center" button which moves the center freuqency in sweep and
  real-time measurement mode to the center frequency of the last measured occupied bandwidth.
* Changed frequency unit in export trace to Hz.

- Spike Version 3.5.6 (6/9/2020)
* Added SCPI compatibility for Zero-Span measurement mode.
    - Includes IQ data fetch.
* Increased max I/Q file record duration.
* Bug fix: Fix for random crashes in sweep mode.

- Spike Version 3.5.5 (6/2/2020)
* Bug fix for 1THz sweep speeds for the SM200C. Please update the SM200C to firmware version 4.4.2 for
    these changes to take effect.
* Apply global reference level offset in SEM mode.

- Spike Version 3.5.4 (5/11/2020)
* (Linux) Improvements made to SM200C reliability in high data rate measurements (zero-span 160MHz).
* (Linux) See network configuration manual for additional 10GbE setup commands.
* (Linux) Removed debugging output.
* Visual improvements for high resolution displays.

- Spike Version 3.5.3 (4/23/2020)
* Added support for Ubuntu 18.04.
* Added SM200C Network Configuration Utility
* Display user-defined title in SEM mode plot.

- Spike Version 3.5.2 (4/1/2020)
* Improved trace averaging.
* Added trace averaging for EMC precompliance measurements.
* Bug fix: Fixed networked speed test cleanup bug.

- Spike Version 3.5.1 (3/30/2020)
* Official SM200C release.
* Formatting and layout improvements for high resolution displays.
* Additional measurements affected by full device present and "Load Default Settings" action.
* Bug fix: Fixed delayed memory allocation bug in SEM mode.
* Bug fix: Fixed sizing bug in IH mode regional window.

- Spike Version 3.5.0 (3/9/2020)
* Support for SM200C (pre-release)
  - Ethernet Device Manager in File menu
  - Network Speed Test utility
* Extended phase noise measurements to 10MHz offset for all devices.
* Harmonic measurement mode changes,
  - Displayed reference level can be set up to 100dBm.
  - Input level can now be set up to a max of 20dBm + ReferenceLevelOffset.
* The sweep time calculation has been updated.
* Added SCPI commands for saving and loading user presets from a file.
  - SYSTem:PRESet[:USER]:SAVE
  - SYSTem:PRESet[:USER]:LOAD
* Increased number of digits shown in audio player center frequency control.
* Bug fix: Fixed crash caused by copying values from the peak table when empty.
* Bug fix: Using the regional zoom window in interference hunting mode, users can now drag the sliders all the way to the min/max frequencies.
* Bug fix: Now properly load sweep files that contain a period in the filename.

- Spike Version 3.4.2 (11/12/2019)
* Added new, intuitive multi plot interface to zero span, digital demodulation, and WLAN modes.
* Expanded channel power measurement functionality with logging and the ability to define a main and up to five adjacent channels.
* Axes of plots are now saved in presets.
* Added adaptive equalization to digital demodulation mode.
  New Eq impulse/freq/phase response plots.
* Added frequency mask trigger as a trigger type for zero-span measurements.
* Added sync/pattern search as a separate triggering mechanism in digital demodulation measurement mode.
  See the manual for more information on sync search.
* Added sync search offset for digital demodulation measurements.
* Added QAM1024 in digital demodulation. (See manual for more information).
* Increased max result symbol count in digital demodulation.
* Changed eye diagram plot for OQPSK measurements (shifted Q channel)
* Save the exact number of I/Q samples requested in zero-span recordings, rather than treating the requested length as a minimum.
* Added SCPI commands for equalization in digital demodulation measurements.
* Updated and modified SCPI commands for digital demodulation triggering and sync search.
  :TRIGger:DDEMod:IF:DELay command changed to :TRIGger:DDEMod:DELay, as the symbol delay now affects
    video and ext triggering.
  If you were using triggering commands or sync search, please review the SCPI manual in the SDK
    to verify you are using the latest commands.
* Bug fix: Pi/4DQPSK demodulation for larger captures now works properly.
* Bug fix: Some interface tweaks for 4k monitors and atypical display setups.

- Spike Version 3.4.1 (9/30/2019)
* Reference Level Offset has been moved to the Settings->Reference Level Offset file menu.
  It now applies to all measurements in Spike.
* Enabled I/Q recording for the SM200B at 250MS/s rates in Zero-Span. (Up to 2 seconds capture)
* Enabled LTE sampling rates 61.44 and 30.72MS/s in Zero-Span mode.
  - Requires firmware update 4.5.8 for SM200A.
  - Requires firmware update 4.5.10 for SM200B.
* Path loss tables now applied in most measurement modes.
* When playing I/Q files, if the .iq file cannot be found at the path specified in the XML file,
    the software will also look for the file in the same directory as the XML file with the same name
    but with the .iq extension.
  This will allow users to move both the .xml and .iq files without changing the path in the XML as
    long as they are in the same directory.

- Spike Version 3.4.0 (9/9/2019)
* Official support for SM200B.
* Bug fix: XML file size bug when recording large I/Q acquisitions. XML file size no longer grows beyond normal amount.

- Spike Version 3.3.3 (8/6/2019)
* Added SCPI compatibility for WLAN measurement mode.
* Bug fix: SENSe:POWer:RF:RLEVel:UNIT? now returns the correct unit.
* Bug fix: X-axis scrolling in plot interface now works as expected in single step mode by updating display to current data range.
* Bug fix: Do not translate interference hunting log file.

- Spike Version 3.3.2 (7/15/2019)
- Added support for BB60C in Phase Noise mode.
* Added SCPI commands
  - SENSe:ROSCillator:SOURce for device timebase control
  - SYSTem:COMMunicate:GTLocal for putting Spike in local mode
  - SENSe:POWer:RF:RLEVel:UNIT? for checking amplitude units of ref level in Sweep mode
* Increased precision on x-axis time plot marker and delta marker readouts.
* Added frequency to noise marker in Sweep mode.
* Improved no plot message in spectrum view of zero-span waterfall.
* Report when no internet connection under software update status in about dialog.
* Bug fix: Fixed return value for SCPI command :SYSTem:VERsion?
* Bug fix: Set marker frequency in sweep mode now triggers on same value.

- Spike Version 3.3.1 (6/24/2019)
* Added SCPI commands for Spectrum Emission Mask measurements.
* Can now select between Clear/Write and Max Hold trace type in SEM measurement mode.
* Can now drag/scale the x-axis on the Zero-Span, DDemod, ADemod, and WLAN plots.
* Can now directly set the x/y axis on the Zero-Span, DDemod, ADemod, and WLAN plots.
  (through the context menu)
* Added linear amplitude scale AM vs Time plot in Zero-Span measurement mode.
* Converted SEM plot to new plot interface.
* Enabled zoom for zero-span I/Q constellation plot.
* Better delta marker menu for Zero-span, DDemod, ADemod, and WLAN plots.
* Can now disable pass/fail SEM message.
* Bug fix: Some files saved by Spike with a non-english language active would be corrupted.
  This was resolved.

- Spike Version 3.3.0 (4/18/2019)
* Added WLAN measurement mode.
* Updated zero-span measurement mode.
  - Introduced spectrogram display.
  - Configurable FFT processing.
  - Interval selection.
  - Zero-span settings saved in presets in earlier versions of the software
    will no longer load in 3.3.0.
* When saving/loading user presets, preset names are remembered.

- Spike Version 3.2.9 (3/4/2019)
* Added SCPI compatibility for path loss tables.
* Updated CCDF plot/controls.
* CCDF plot is now available in digital demodulation measurement mode.
* Added rectangular window to digital demod filter selection.
* Select/copy now works in the following tables,
  - Sweep peak table
  - SEM results table
  - IH event list
  - EMC peak table
  - EMC meter readings
  - Harmonic table
* Temperature recalibration during real-time mode no longer interrupts sweep recording.
* IF overload condition now stored in sweep recording files.
  (Currently Spike does not utilize this bit when in playback)
* Ref level offset can now be set up to 90dB.
* Added correction file manager dialog.
* Bug fix: Resolved crashes relating to specific marker movement.
* Bug fix: Path loss no longer applied twice for certain real-time measurements.

- Spike Version 3.2.8 (2/25/2019)
* WLAN beta.

- Spike Version 3.2.7 (1/21/2019)
* Added audio recording to the audio player utility.
* Decreased font size on channel power text.
* Spike will appear on the primary monitor if the number of monitors has
  changed or the virtual size of the desktop has changed since the last
  time the program was launched.
* Bug fix: Use proper default IH log save directory.

- Spike Version 3.2.6 (12/20/2018)
* Redesigned the plot interface for all plots in the zero-span, analog demod, and
  digital demod modes. The improved plot interface includes,
  - Zoom capabilities
  - Marker/Delta marker capabilities
  - Custom y-axis scaling and reference level selection.
  - Ability to export the data as CSV or as an image.
* The AM, FM, and PM plots in zero-span are now 3 separate plots instead of combined in one.
* New zero-span plots
  - I/Q polar
  - PM Vs Time (Deg)
* Bug fix: Fixed issue with newer BB60C's in the audio player.

- Spike Version 3.2.5 (10/24/2018)
* Added spectrum emission mask measurements.
  - Test your signal against custom transmission masks.
  - Compatible with all Signal Hound spectrum analyzers.
  - AM/FM/WLAN/BT presets.
* Added custom user defined constellations for digital modulation analysis.
  - Specify custom modulations like APSK or star-QAM.
* External triggering now available for digital modulation analysis.

- Spike Version 3.2.4 (10/1/2018)
* Added SCPI compatibility for Scalar Network Analysis.
* Added SCPI compatibility for limit lines.
* Can now control the color scaling on the spectrogram plot.
* Trigger level in zero-span is now grayed out when external trigger is selected.
* Support for SM200A firmware version 4.5.5 which improves USB throughput stability on new Windows 10 computers.
* Support for BB60C firmware 9 which improves USB throughput stability on new Windows 10 computers.
* Changing the reference level in SNA measurement mode no longer forces a recalibration.
* Bug fix: The image save functionality now properly includes the spectrogram plot again.
* Bug fix: Resolved device disconnection error for certain scalar network sweep configurations for the SA/TG devices.
* Bug fix: The SYSTEM:IMAGE:SAVE SCPI command is now implemented.

- Spike Version 3.2.3 (8/28/2018)
* Added SCPI compatibility for digital demod measurement mode.
* Improved digital demod measurements.
  - Improved carrier recovery.
  - Added IQ Offset and amplitude droop compensation.
  - SNR/MER output
  - Freq error is now part of averaged measurements.
  - Improved OQPSK measurements.
* Added "Error Info" dialog.
  - Shows errors/warnings incurred in software.
  - Useful for troubleshooting SCPI programs.
* Bug fix, only one instance of Spike can be interfaced at a time
  via SCPI on a given PC. Any instance of Spike launched after the first will not
  open a SCPI socket.

- Spike Version 3.2.2 (7/18/2018)
* Added SCPI compatibility with analog demodulation measurement mode.
* Bug fix, Fixed issues with the following SCPI commands
  TRACE:XSTART?
  TRACE:XINCREMENT?
  TRACE:POINTS?
  SENSE:POWER:RF:RLEVEL[?]
  SENSE:SWEEP:TIME

- Spike Version 3.2.1 (6/21/2018)
* Added SCPI compatibility for phase noise measurement mode.
* Added SCPI compatibility for harmonic measurement mode.
* Added several new features and improvements to the harmonic measurement mode.
  - Selectable harmonic count.
  - Now able to control the span, RBW, and VBW at each harmonic.
  - Peak tracking.
  - Measurement control, peak vs. channel power.
  - Total harmonic distortion readout.
* Can now select the internal SM200A GPS in the GPS control panel. Will update the lat/lon/alt when locked.
* Now displays file name when in sweep playback.
* External triggering is now properly marked as disabled for SA series devices.
  (Before it was selectable but not available by the hardware)
* Zero-span defaults to max sample rate.
* Bug fix, Can now interface GPS receivers on COM ports numbered larger than 9.
* Bug fix, Phase noise export traces, frequency offset column was incorrect.
* Bug fix, Styling on the waterfall preferences in the dark theme fixed.

- Spike Version 3.2.0 (5/8/2018)
* Support for SCPI. See the SDK for the programming manual and examples.
* Can now export zero-span IQ/AM/FM/PM plots. Right click on the IQ Demod Time plot.
* Presets now store the current title set in the software.
* Added persistence decay. Signal events that appear in the persistence display fade over time. Affects all Signal Hound spectrum analyzers in real-time spectrum analysis and when using the sweep persistence display.
* Can now add a custom prefix to the sweep recording file name.
* Bug fix for SM200A devices, changing between manual/auto attenuation should now work properly.
* Bug fix for SM200A real-time display, occasional synchronization issues.
* Bug fix for phase noise. The first point in the sweep was incorrect.
* Bug fix for phase noise. Export trace was not working properly.
* Bug fix, Quasi peak detector reading was incorrectly applying the path loss.

- Spike Version 3.1.14 (3/19/2018)
* Bug fix for SA124A users. Users reported several second delays after changing the device sweep configuration. This issue has been resolved.

- Spike Version 3.1.13 (3/19/2018)
* Added new sweep recording and playback functionality.
* Sweep recording: reduce the final file size by averaging/max-holding sweeps over a specified number of sweeps or a period of time.
* Sweep recording: channelize the output sweep. Decimate in frequency by performing adjacent channel powers over the entire sweep. Both the channel center frequency and channel spacing is selectable.
* Sweep playback: auto repeat functionality added. When enabled, the sweep recording will repeat once reaching the end of the file.
* Can now specify which trace the channel power and occupied bandwidth measurement is performed on.
* There is now more precision (significant digits) shown for values entered in the table editor. The table editor is used for limit line and path loss data entry.
* Added the ability to interface an external GPS. When enabled location data is stored with sweeps in the sweep recording files.
* If the SM200A GPS antenna is connected and lock is achieved, location data will be stored with sweeps in the sweep recording files.
* Bug fix for BB60C and TG44 sweeps.
* Bug fix for SM200A, real-time spans <= 40MHz did not work on some processors (particularly 3rd and 4th gen Intel processors)
* Bug fix for limit lines. Limit lines were being plotted incorrectly.

- Spike Version 3.1.12 (2/13/2018)
* Official SM200A release.
* Improved limit line functionality. Can now configure up to 3 independent limit lines through the Utilities menu. See the Spike manual for more information.
* Limit lines are now available in scalar network analysis (for non-VSWR plots).
* Added Peak Table functionality. Monitor the absolute and relative amplitude and frequency of up to 16 signals in the spectrum.
* Added 'Recal' button. Assists in recalibrating/aligning a device for temperature drift.
* Frequency mask triggering (FMT) functionality has been merged with limit lines. Users are encouraged to utilize limit lines to access this functionality as limit lines now provide all the functionality of the FMT implementation (and more).
* The number of configurable EMC ranges is now 20 (up from 10). Existing presets and saved range tables will continue to work with Spike.
* Any dialogs that appear on initialization are now non-modal so that the Spike application can fully load. This will help users using Spike with RDP where the application needs to fully load before connecting to the PC via RDP.
* Persistence should now work properly when in sweep playback. (Bug fix)

- Spike Version 3.1.11 (11/3/2017)
* Includes SA124 low frequency amplitude accuracy fix (100kHz-1MHz)
* Path loss tables are now applied to measurements in zero-span, digital demodulation, and real-time spectrum analysis. See the Spike manual for information about how path loss tables affect these measurements.
* Increased the number of markers to 9.
* If the IF bandwidth is clamped in zero-span measurement mode, the control panel will now properly display the value used.

- Spike Version 3.1.10 (9/27/2017)
* Preferences configured through the preferences dialog are now
  saved when configured (Applied) rather than when the application closes.
* SA124B startup stability issues addressed.
* SA124B Opt.2 units must now be fully warmed up before Spike will interface the device.
  (Spike will issue a warning if the device is not warmed up)

- Spike Version 3.1.9 (9/8/2017)
* Release just for SM200A prototype users.
* Beta support for SM200A.
* When recording events in Interference Hunting mode, an event that is determined to be the same event is only recorded into the file once, rather than on each sweep update.
* Styling fixes for Interference Hunting control panels.
* Bug fixes for 4K scaling issues in Interference Hunting measurement mode.
* Bug fix for setting invalid start/stop frequency range for
  exclusion zones in interference hunting measurement mode.

- Spike Version 3.1.8 (8/2/2017)
* Added interference hunting measurement mode. Monitor the spectrum for events that exceed
  user defined baseline (limits). Easy configuration for recording spectrum events.
  See the manual for full details.
* Improved waterfall plot.
*   Scrollable history.
*   Ability to place a marker on the waterfall to read the amplitude/frequency/time of any event
    displayed in the plot.
* Added noise marker measurement. Select the marker type on the measurement control panel.
* Occupied bandwidth now reports center frequency.
* Improved SSB and CW audio demodulation for the BB60 receivers.
* Restrict RBW values in EMC precompliance to 1M point sweeps.
* The delta marker button is now a toggle button.
    Indicates that the delta measurement is active.
* Added graticules and cursor position readouts for the digital demodulation
    constellation and eye diagram plots.
* Improved phase noise measurement mode.
*   Added tabulated phase noise printouts for common frequency decade offsets.
*   Ability to export traces.
*   Ability to store a reference trace for quick comparisons.
*   Added jitter measurements.
* Added custom dialog boxes for configuring the Int/Ext reference.
    Allows the software to provide controls more specific to each receiver.
    Anticipates the additional controls necessary for the SM200A receiver.
* Reduced significant digits on several numeric entries in which the extra digits were superfluous.
* BB60A/C devices, regardless of firmware version, will be able to access the TG direct controls.
* Removed 3D waterfall plot.

- Spike Version 3.1.7 (4/2/2017)
* Users can now save and load presets in the file menu. These presets are not tied to the
  preset menu and allow the user to save and load an arbitrary number of preset configurations.
* Added CCDF plot to zero-span analysis mode.
* The user can now customize the work space in zero-span analysis mode.
* Increased number of configurable path loss tables to 8.
* Path Loss tables are now stored in presets.
* Digital demodulation and zero-span work spaces are now stored in Presets.
    This includes active measurement plots and plot locations.
* Peak Tracking is now available for markers. Enable it on the measurement control panel.
* Most numeric entries will now respond to up/down arrow key presses.
* Signal Hound devices will now automatically recalibrate in real-time mode when a temperature drift occurs of
  2 degrees Celsius or more.
* Bug Fix: Path loss table dialogs will now remain on top after saving/loading a path loss table.
* Bug Fix: Real-Time mode issue resolved for BB60A units below 1GHz center frequency.

- Spike Version 3.1.6 (2/8/2017)
* RBW restrictions lifted for the BB60C/A devices using the Nuttall window, including real-time spectrum analysis.
* Software will now ask you to confirm when you are overwriting a software preset.
* Saving/Loading EMI range tables will now remember the last directory used.
* Added the ability to delete single rows from the EMC meter list table.
* The EMC peak table now includes a "margin" column.
* EMC Range table setup is now stored in the user presets.

- Spike Version 3.1.5 (12/13/2016)
* Add timebase reference status in the application status bar.
* In reference to exporting traces to a CSV file, 'export trace' will now export maximum amplitude values only (default), added preference for exporting the minimum amplitude values.
* Added video trigger delay control for digital demodulation.
* Added ability to scroll through the symbols in digital demodulation mode.

- Spike Version 3.1.4 (11/10/2016)
* Fixed audio player bug, where the maximum center frequency was limited to 6GHz. This affected SA124 users.
* Fixed issues with CW mode in the audio player for SA44/SA124 users.
* Improved filter roll off for low/high pass audio filters.
* Added step frequency arrows for zero-span and digital demodulation analysis.
* Can now properly hide traces in SNA mode.
* Added reference level offset in precompliance mode.

- Spike Version 3.1.3 (9/14/2016)
* Revamped zero-span mode to include more flexible views and IQ record and playback.
* Analog modulation analysis has been moved to a new analysis mode called "Analog Demod". Previously it was in Zero-Span mode with the name "AM/FM Modulation Analysis".
* The new Analog Demod mode features AM and FM frequency spectrum plots.
* Changing the reference level offset now triggers a re-configuration of the device.
* All save/load file dialogs will remember the last directory used.
* Reference level offset should now work properly in harmonic analysis mode.
* Fixed a bug where the minimum allowed center frequency in digital demodulation mode for the SA44B/SA124B was limited to 125kHz. Can now be set down to 1kHz.

- Spike Version 3.1.2 (7/12/2016)
* Added ability to create sloped limit lines in EMC precompliance mode.
* Center frequency now carries over into zero-span mode.
* Added average power readout to zero-span mode.
* Fixed frequency output on EMC precompliance trace exports.
* EMC spurs are now properly reported if they are on the edge of a user range.
* Saving and Loading files should no longer push Spike to the background.
* Bug fixes relating to 200-500kHz spans for SA124B.
* Fixed BB60 AM audio playback issue.

- Spike Version 3.1.1
* Improved application for use on high DPI displays. Text and menus should now scale properly.
* Center frequency now carries over into vector modulation analysis mode.
* Added QAM64 to the available modulations in vector modulation analysis mode.

- Spike Version 3.1.0 (6/1/2016)
* Added EMC Precompliance measurement mode. See the Spike manuals for full details.
* Can now show/hide the control panels through the file menu.
* Added frequency difference meter utility.
* Added ability to adjust timebase of all spectrum analyzers. See the Spike manual for more information.
* Phase noise measurements will now have a reference level of -30.0 dBc/Hz instead of 0.0 dBc/Hz.
* The peak left/right implementation has been improved.
  The user can now choose the peak left/right threshold and selectivity values.
* API files have been moved to a separate download. This download can be found on the Signal Hound website.

- Spike Version 3.0.22 (3/2/2016)
* Changed Native/Non-Native RBW selection to Nutall/Flattop, respectively.
  These terms are more descriptive and useful when making measurements.
* Added CISPR defined RBW filters. These RBW filters provide the 6dB bandwidth and shape that is desired for EMC/EMI measurements.
* Increased marker resolution in zero-span mode.
* Can now import up to three path loss tables.
* Can now import an antenna factor correction table.
* Added path loss table dialog.
* Path loss table file names will be stored with presets, and will be loaded when loading a preset.
* Added button to copy symbols to system clipboard in modulation analysis mode.
* Increased largest FFT based RBW to 120kHz from 100kHz for the SA series devices.
- Bug Fixes
* Certain text displays should now be more usable and visible when Windows text scaling is above 100%.
  This affects users with high DPI displays.
* Fixed issue with zero-span IQ save files being recorded into the parent directory.
* Various minor bug fixes.

- Spike Version 3.0.21 (2/4/2016)
* Added the ability to change the color and opacity of the channel power bars. Change the color in the preferences menu.
* Digital demodulation now properly handles non-auto-IF bandwidths.
* Resolved issue with measurements between 5.6 and 5.8GHz with the BB60C using spans lower than 200kHz.
* The color of text on the harmonics viewer display should now be set to the user’s preference instead of being permanently set to black.
* Delta markers in scalar network analysis mode now properly display the delta frequency.

- Spike Version 3.0.20 (12/14/2015)
* Added video triggering capability for digital demodulation measurements.
* Frequency mask and video triggers that are triggered during sweep file playback will now pause the playback.
* Added warnings for low voltage conditions for the SA44B.
* "Ref" renamed to "Ref Level".
* Fixed issue which caused the reference level to revert to dBm after shifting the reference using the arrow keys.

- Spike Version 3.0.19 (11/19/2015)
* Fixed issue with sweep file playback.
* Fixed manual attenuator setting readout on graticule for SA44A/SA44B devices.
* Set maximum demodulation symbol rate to 12.5MS/s for the BB60C.
* Resolved issue which affected SNA measurements below 20MHz with the BB60C/TG devices.

- Spike Version 3.0.18 (11/10/2015)
* Resolved issue with presets introduced in Version 3.0.17
* Spike should now remember the bottom control panel size.

- Spike Version 3.0.17 (11/9/2015)
* Added standard frequency mask trigger functionality.
* Division markings on the Zero-Span FM plot now show more meaningful significant digits than simply being scaled to MHz.
* Added the ability to set the 10MHz out on the SA124.
* Added the ability to specify the 10MHz reference for the TG44 and TG124. Only available when configuring the device manually through the TG control panel.
* Software now displays 100% probability of intercept time value when in real-time mode.
* The software will no longer re-calibrate the device when temperature drifts when making scalar network measurements. Instead, the software will display the temperature Uncal warning, and the user will need to change the configuration to trigger a full re-calibration.

- Spike Version 3.0.16 (10/26/2015)
* Added sweep amplitude trigger functionality.
* Added the ability to hide individual traces.
* Digital demodulation spectrum window now applies reference level properly.

- Spike Version 3.0.15 (9/29/2015)
* Added support for SA44/SA44B 5MHz RBW
* Added compatibility for BB60A devices with the TG44 and TG124. The BB60A can now be configured for scalar network analysis. Users will need to update the device firmware before this functionality becomes available if the firmware version is less than 5. You can check the firmware version of your device in the lower right-hand corner of the Spike software when the device is connected and running. Get the firmware updater on the BB60 downloads page.
* Resolved audio player issue with BB60, audio player would stop responding after switching between the audio player and sweep mode.

- Spike Version 3.0.14 (9/21/2015)
* Fixed color theme issues.
* Fixed text updating issues during file playback.
* Added quick image save feature.
* Added the ability to specify the number of channels that are active for channel power measurements, up to 11 adjacent channels.
* Harmonic viewer trace will now take on the color of trace 1.

- Spike Version 3.0.13 (9/8/2015)
* Added German Translation (8/7/2015)
* Added Italian Translation (8/11/2015)
* Added French Translation (9/4/2015)
* Added 2FSK/4FSK modulation analysis.
* Added basic ASK modulation analysis (bits and constellations only)
* Added several new windows for modulation analysis.
* Available symbol rates for digital modulation analysis on the BB60C have been increased. Able to select symbol rates down to 1kHz.
* Fixed limit line import issue that occurred when leaving out the min value. Should now be able to only specify the frequency and max value. (8/10/2015)
* Improved modulation quality metric accuracy.
* Changing displayed language should no longer reset software layout.

- Spike Version 3.0.12 (7/31/2015)
* Updated installer to work on Windows 10.
* Added Spanish translation.
* Resolved some file playback issues when no device is attached. Software closes properly if a file is currently playing.

- Spike Version 3.0.11 (7/22/2015)
* The SA44 and SA124 can now be used for digital demodulation.
* Spike now can display VSWR when utilizing the TG for return loss measurements.
* Several new views have been added to digital demodulation.
* Views in digital demodulation can be rearranged manually and the layout is saved on closing the software.
* Can now change the default record directory using the new folder icon on the record toolbar.
* Can now click and drag the active marker on a trace in standard sweep mode, real-time mode, scalar network analysis mode, and zero-span.
* Several language translations have been added for the Spike software. The software will detect the PC language and load the appropriate translation. The language can also be specified in the preferences menu. Available translations will initially include Chinese(simplified), Japanese, Russian, and Dutch.
* Resolved issue where persistence checkbox would disappear during certain tasks (such as after playing back a file).
* Resolved issue where clearing the trace while single sweeping did not immediately update the view.
* Fixed an issue where the software did not close properly if you were playing back a recording file.
* Resolved an issue where increasing the audio IF bandwidth would cause the software to stop playing audio.

- Spike Version 3.0.10
* Bug Fix: Software crash when connecting to SA44/SA124

- Spike Version 3.0.9
* Added Chinese translation.
* Added links to the User Manual and website links in the Help Menu
* Perform software version checks and provide links to the downloads page if
  it is determined the software is out of date.
* Reference level can now be set to a maximum of 20dB plus the current reference level offset.

- Spike Version 3.0.8 (5/22/2015)
* Digital demodulation added for the BB60C/A.
* Several additional settings are now stored when saving a preset
 - timebase reference settings
 - reference offset
 - channel power
 - occupied bandwidth
 - trace settings
 - sweep marker settings
 - waterfall selection
 - persistence(sweep/real-time) selections
* Can now select amplitude/frequency divisions in zero-span mode.
  Selections affect the AM/FM vs. time plots.
* When manually setting the marker frequency, the marker readout will display the entered value.
* Addressed additional issues with limit lines working properly.
* Trace line width can set to smaller values.
* Fixed spelling errors
- Bug Fixes
* SA44/SA124 in real-time, pressing full-span button caused software to crash.
* BB60C - Center frequency in zero-span can be set to 11MHz minimum down from 20MHz.

- Spike Version 3.0.7
* Added tracking generator support for the BB60C. Users will need to update the device firmware before this functionality becomes available if the firmware version is less than 5. You can see the firmware version of your device in the lower right-hand corner of the Spike software when the device is connected and running.
* Fixed an issue where if limit line files contained duplicate frequency values, they would load unproperly.
* A small number of users were experiencing a crash when using the SA44/SA124. This crash occurred during program startup before the first sweep occurs. We believed we have resolved this issue.

- Spike Version 3.0.6 (3/23/2015)
* Attempted to fix an issue where BB60C users experienced application flickering in real-time mode.
* Mouse wheel marker movement now works in network analysis mode.
* Persistence toolbar buttons no longer remain visible in other modes.

- Spike Version 3.0.5 (3/16/2015)
* Updated the real-time persistence display model for all devices.
* Can now use the mouse wheel to move the marker in addition to arrow keys.
* More SA124A bug fixes. For small sweeps (<100MHz) centered above 4.4GHz.
* Presets should now restore RBW in real-time mode.
* Fixed issue where the manual TG controls did not activate the TG in some situations.
* Closing the manual TG controls should now disable the TG output.
* The persistence state should now be restored as you move between sweep-mode and real-time.

- Spike Version 3.0.4 (3/2/2015)
* SA124A devices should now be more stable in the software.

- Spike Version 3.0.3 (2/25/15)
* Attempted to fix the poor text rendering some machines were experiencing.
* Fixed the ability to print on some computers.
* The software remembers the last save folder location for images and exported traces.
* Further attempted to address an issue where the software crashes entering Zero-Span mode.
* Fixed issue with recording playback. Was unable to use navigate buttons.
* Presets not store the unit type selected (e.g. MV/DBM) instead of always using DBM.
* Reference level can be set down to -130 from -100.

- Spike Version 3.0.2 (2/18/2015)
* Support for 32-bit systems.
* Added the ability to set a markers frequency manually.
* Fixed a bug with falling edge video triggers always triggering.
* Attempted to address an issue where the software crashes entering Zero-Span mode.
* Fixed the ability to save images with JPG extension.
* Fixed a bug in the phase noise utility relating to high reference levels.
* The real-time span for the SA44B can now be reduced to 1kHz.

- Spike Version 3.0.1 (2/10/2015)
* Calibration files should now be retrieved from the Signal Hound server correctly
  for devices with serial numbers that begin with zero.

- Spike Version 3.0.0 (2/9/2015)
* Rebranding of the BB60 software to Spike.
* The SA44, SA124, TG44, and TG124 devices can now be controlled by the software.

- Software Version 2.0.6
* The spectrum analyzer software now supports the SA44/SA124/TG44/TG124 devices
* Added pre-trigger functionality for zero-span
* Added more output file types for screen captures
* Many software bugs have been resolved.

- Software Version 2.0.5
* Added a C# interface for the API
* Added support for the upcoming field calibration software.
* Can now play back recordings without a device attached.

- Software Version 2.0.4
* Added modulation analysis in zero-span mode
  - Include Peak+/-, RMS, modulation rates, SINAD, and THD
* Added Measuring Receiver Utility
* Added occupied bandwidth functionality
* Added the ability to perform up to 1 second configurable I/Q captures
* Control panels and graticule text now resize to accommodate smaller screen sizes
* Fixed an issue where on smaller screen sizes, toolbar buttons become inaccessible
* The number of configurable presets has gone from 6 to 9
* Can now customize the color of the markers
* Addressed frequency resolution issues below 10MHz
* The IF bandwidth setting for Audio playback can now go down to 500Hz

- Software Version 2.0.3
* Added Zero-Span functionality. Provides AM/FM/PM demodulation with spectral and
  IQ display charts. Configurable Decimation and bandwidths, with external and video
  trigger functionality.
* Fixed issue where settings are not reset on "Preset"
* Marker values will now display in selected units
* Audio IF Bandwidth can be set down to 3 kHz

- Software Version 2.0.2
* Temperature in status bar refreshes throughout use now.
* Application still runs without OpenGL 3.0 now, persistence will be disabled when
  OpenGL 3.0 is not available.

- Software Version 2.0.1
* Added side-by-side IF streaming capabilities with IQ
* Added convenience functions for converting between 32-bit floats and 16-bit shorts
  16-bit shorts are ideal over floating point values for storing IQ/IF digital samples
* Fixed issue which arises on first IQ streaming setup.

- Software Version 2.0.0
* Release coincides with the release of the BB60C
* Redesigned software interface to work with both the BB60A and BB60C
* The user interface is now a 64-bit application
* Most features of the software interface have been carried over and improved
* Certain features such zero-span and time-gate analysis will be available in
  the new software interface in coming version updates.
* The BB60 API is now set to work with both the BB60A and BB60C with little to
  no effort to change between devices.

- Software Version 1.2.4
* Addressed issues with setting small RBW values
* Resolved issues with 'Bypass video processing option on large spans.
* Resolved graphical issues occurring during playback of a recorded session. Issue was graphical only.

- Software Version 1.2.3
* Hotfix for version 1.2.2, resolve spur and frequency issues with the release of 1.2.2.
  Please see 1.2.2 changes below for latest release notes.

- Software Version 1.2.2
* Issues with small spans(<100kHz) resolved.

- Software Version 1.2.1
* Small update
* The BB60 application will now respond to device connectivity issues. When a device is disconnected,
  loses power, or experiences USB transfer related issues, the user is now notified and the application
  disconnects the device.
* All API fetch routines now recognize device connection errors. This enables a program to react to a device
  becoming disconnected, packet transfer failure, or a variety of other USB failures.

- Software Version 1.2.0
* Persistence settings are now retained after entering/exiting audio listen mode.
* 64-bit Windows and 64-bit Linux API's were added.
* Added new functions to the API for retrieving a given device's firmware version and the version of the API itself.
* The API now restricts RBW in relation to span, in attempt to prevent the
  scenario of zero-point sweeps and sweep lengths larger than 2^20 points.
* The Windows API is now built with VS2012
  developers need to consider the new dependencies (windows redistributables).

- Software Version 1.1.1
* Resolved issues regarding 0 Hz amplitude values.
* Resolved issues regarding low spectrum range and image rejection. (Invalid values returned from
  9 kHz to 10 MHz range with Spur-Reject on)
* Resolved invalid spectrum readings at 3.15 GHz with image reject on.
* Resolved issues stemming from recording playback files to the full 1GB file size. The software
  now stops short of 1GB file sizes.
* Playback files now save RBW/VBW and attenuation.
* Using Flat-Top windows in conjunction with "Native-Mode" RBW's no longer returns invalid spectrum
  results.

- Software Version 1.1.0
* VBW processing has been optimized. This has shown a 2-20x decrease in memory
  usage depending on settings during standard sweep modes.
* Improved the stability of zero-span at various RBW/VBW combinations.
* Zero-span mode sweep time can be reduced to 10us now.
* Fixed an issue with exporting traces.
* Resolved external timebase issues.

- Software Version 1.0.9
* Automatic gain and attenuation settings are now used for all amplitude scales, not just dBm

- Software Version 1.0.8
* Average trace now drawn on top of normal trace
* Average count retained from previous count
* 1/3/10 button changed to native
* Fixed crashes associated with path-loss tables and limit-lines
* Fixed crashes associated with entering zero-span

- Software Version 1.0.7
* Arbitrary resolution and video bandwidths using custom flat-top windows, for sweep
  modes only, real-time still uses fixed NUTALL windows.
* To set arbitrary bandwidths, ensure 1/3/10 is selected and click "Set RBW". Are bandwidths
  are measured 3dB down from the peak.
* Uninstalling previous software versions is no longer needed to prevent
  update conflicts.

- Software Version 1.0.6
* Fixed issues with low spans around 1.0 GHz - 1.2 GHz that were causing crashes
* Fixed issues with band zero(0-20MHz) - full scale measurements

- Software Version 1.0.5
* Added 7MHz IQ streaming bandwidth functionality to the API.
* Auto RBW/VBW settings now saved with presets and now reset when
  loading default settings or using the preset button.
* Continued optimization of attenuation and gain settings for
  the BB60A bands. Furthers our effort to create a nice clean flat
  noise floor.
* External/internal reference setting saved in presets now
* Updated the Demo-Recorder application to show of the frequency domain
  with 7 MHz bandwidth.

- Software Version 1.0.4
* Automatic attenuation is now available
* When automatic attenuation and gain are set, each
  band is now set independently, leveling out the noise floor in
  full span
* Removed redundant y-axis labels
* Added audio demodulation functionality to the API
  Functions: bbConfigureDemod, bbFetchAudio
* Audio demodulation panel, FM, AM, SSB, CW
  Found under the utilities menu dropdown
  Audio settings are saved with presets
* Marker to next peak left/right
* Stop crashes that happen when users select RBWs
  from the "Set RBW" list

- Software Version 1.0.3
* Added support for 32-bit drivers. The drivers are now
  installed during installation automatically on a 32-bit system.

- Software Version 1.0.2
* Fixed issued with saving bitmap images of the screen

- Software Version 1.0.1
* Hardware: fixed external 'reference in' issue
* Default settings now reflect a full span setup
* Non-Native RBW's now referred to as 1/3/10 RBWs
* Maximum reference level of +20 dBm enforced
* "IF Overload" warning relocated

- Software Version 1.0.0
* Initial release
